#!/bin/sh

here=`readlink -f "$0"`
repo_root=`dirname "$here"`



cat << EOF >&2
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
XXX Add the line below to the [extensions] section of you hgrc XXX
XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


EOF

cat << EOF | sed -e "s#XXXREPOPATHXXX#${repo_root}#"
[extensions]
### experimental extensions for history rewriting

# obsolete relation support (will move in core)
obsolete=XXXREPOPATHXXX/hgext/obsolete.py

# history rewriting UI
evolve=XXXREPOPATHXXX/hgext/evolve.py


[alias]
### useful alias to check future amend result
# equivalent to the qdiff command for mq

# diff
pdiff=diff --rev .^

# status
pstatus=status --rev .^

# diff with the previous amend
odiff=diff --rev 'limit(obsparents(.),1)' --rev .
EOF

cat << EOF >&2


### check enable-qsync.sh if your need mq export too.
EOF
